
Name:           vdpau-video-nvidia
%define         _name vdpau-video
Version:        0.6.10
Release:        2.1
License:        MIT
Summary:        VDPAU DRI Driver Interface to NVidia
Url:            http://www.splitted-desktop.com/~gbeauchesne/
Group:          System/Libraries
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM vdpau-sds-detections.patch dimstar@opensuse.org -- VideoLAN repo provides libva 1.0.1 tarball / package, which no longer carries the _sds suffixes
Patch0:         %{_name}-sds-detections.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel

%description
VDPAU Driver Bridge for NVidia Binary blob driver

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
autoreconf -v --install
%configure
make

%install
%makeinstall
find %{buildroot} -name '*.la' -delete -print
# We do want real driver file names, not links to fully generic name that will conflict every so often
cp --remove-destination %{buildroot}%{_libdir}/dri/vdpau_drv_video.so %{buildroot}%{_libdir}/dri/nvidia_drv_video.so
cp --remove-destination %{buildroot}%{_libdir}/dri/vdpau_drv_video.so %{buildroot}%{_libdir}/dri/s3g_drv_video.so
rm %{buildroot}%{_libdir}/dri/vdpau_drv_video.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_libdir}/dri/nvidia_drv_video.so
%{_libdir}/dri/s3g_drv_video.so

%changelog
* Sun Aug 15 2010 dominique-vlc.suse@leuenberger.net
- Change the sds detection patch: libva 1.0.4 identifies itself
  as hi9gh enough to fail the test, resulting the init function
  being named _sds again in vdpau. libva does not require _Sds
  though.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- Update to version 0.6.10.
* Sat Jun 12 2010 dominique-vlc.suse@leuenberger.net
- Initial package of nvidia vdpau driver for nvidia.
